## net.dontdrinkandroot.wicket.bootstrap.css
Enum SpanClass

    java.lang.Object
      java.lang.Enum<SpanClass>
          net.dontdrinkandroot.wicket.bootstrap.css.SpanClass

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SpanClass>, net.dontdrinkandroot.wicket.css.CssClass

    public enum SpanClass

extends java.lang.Enum<SpanClass>
implements net.dontdrinkandroot.wicket.css.CssClass

Enum Constant Summary
`SPAN_1`
`SPAN_10`
`SPAN_11`
`SPAN_12`
`SPAN_2`
`SPAN_3`
`SPAN_4`
`SPAN_5`
`SPAN_6`
`SPAN_7`
`SPAN_8`
`SPAN_9`

Method Summary
`java.lang.String` `getClassString()`
`static SpanClass` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SpanClass[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SPAN_1

    public static final SpanClass SPAN_1

### SPAN_2

    public static final SpanClass SPAN_2

### SPAN_3

    public static final SpanClass SPAN_3

### SPAN_4

    public static final SpanClass SPAN_4

### SPAN_5

    public static final SpanClass SPAN_5

### SPAN_6

    public static final SpanClass SPAN_6

### SPAN_7

    public static final SpanClass SPAN_7

### SPAN_8

    public static final SpanClass SPAN_8

### SPAN_9

    public static final SpanClass SPAN_9

### SPAN_10

    public static final SpanClass SPAN_10

### SPAN_11

    public static final SpanClass SPAN_11

### SPAN_12

    public static final SpanClass SPAN_12

Method Detail

### values

    public static SpanClass[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SpanClass c : SpanClass.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SpanClass valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getClassString

    public java.lang.String getClassString()

  Specified by:
    `getClassString` in interface `net.dontdrinkandroot.wicket.css.CssClass`

Copyright © 2013 dontdrinkandroot. All Rights Reserved.